package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouProjectStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 自动投放-项目策略表
 *
 * @author jeecg-boot
 * 2021-06-24
 * @version V1.0
 */
public interface KuaishouProjectStrategyMapper extends BaseMapper<KuaishouProjectStrategy> {

    List<JSONObject> queryProjectList(JSONObject data);

    List<JSONObject> queryAccountList(JSONObject data);

    JSONObject queryProjectAll(JSONObject data);

    JSONObject queryAccountAll(JSONObject data);

    Integer checkProjectisOpen(Long projectId);

    List<KuaishouProjectStrategy> getAllEffectStrategy(@Param("unitType")int unitType, @Param("sourceMaterial")String sourceMaterial);

    List<Long> queryProjectId();
}
